<?php

namespace Intellex\Generator\Core;

class HardcodedGenerator implements GeneratorInterface {

    /** @var mixed The value which this generator will produce. */
    private $value = [];

    /**
     * BooleanGenerator constructor.
     *
     * @param mixed $value The value which this generator will produce.
     */
    public function __construct($value) {
        $this->value = $value;
    }

    /**
     * Generate value..
     *
     * @return mixed The value supplied in the constrictor.
     */
    public function generateValue() {
        return $this->value;
    }

}